=== debian/changelog ===
ros-noetic-rc-reason-msgs (0.3.0-1buster) buster; urgency=high

  * refactor and update for v22.01

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-noetic-rc-reason-msgs (0.2.1-1buster) buster; urgency=high

  * add missing build dependencies to package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-noetic-rc-reason-msgs (0.2.0-1buster) buster; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 10 Jun 2021 22:00:00 -0000
